CREATE TABLE dos_supply_tracking_line_docs (
    TRACKING_LINE_DOCS_ID           NUMBER(18, 0) ,
    TASK_ID                         NUMBER(18, 0) ,
    CHANGE_REQ_TRCK_LINE_DOCS_ID    NUMBER(18, 0) ,
    TRACKING_LINE_ID                NUMBER(18, 0)     NOT NULL,
    HEADER_ID                       NUMBER(18, 0)     NOT NULL,
    LINE_ID                         NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    DOCUMENT_TYPE                   VARCHAR2(120)     NOT NULL,
    DOCUMENT_NUMBER                 VARCHAR2(480) ,
    DOCUMENT_STATUS                 VARCHAR2(120) ,
    DOCUMENT_LINE_NUMBER            VARCHAR2(80)  ,
    DOCUMENT_LINE_QUANTITY          NUMBER        ,
    DOCUMENT_LINE_UOM               VARCHAR2(12)  ,
    EXTERNAL_REFERENCE_ID           VARCHAR2(480) ,
    TARGET_SERVICE_NAME             VARCHAR2(200) ,
    COMMENTS                        VARCHAR2(4000),
    DOCUMENT_HEADER_ID              VARCHAR2(480) ,
    DOCUMENT_LINE_ID                VARCHAR2(80)  ,
    STATUS_AS_OF_DATE               TIMESTAMP(6)  ,
    DOCUMENT_LINE_SECONDARY_QTY     NUMBER        ,
    DOCUMENT_LINE_SECONDARY_UOM     VARCHAR2(12)  ,
    DOCUMENT_NET_QUANTITY           NUMBER        ,
    DOCUMENT_NET_QUANTITY_UOM       VARCHAR2(12)  ,
    TASK_TYPE                       VARCHAR2(120)     NOT NULL,
    TASK_OPERATION                  VARCHAR2(120)     NOT NULL,
    ACTIVE_FLAG                     NUMBER(1, 0)      NOT NULL,
    PARENT_TRACKING_LINE_DOCS_ID    NUMBER(18, 0) ,
    SOURCE_SYSTEM_ID                NUMBER(18, 0) ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY              VARCHAR2(600) ,
    ATTRIBUTE_CHAR1                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR2                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR3                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR4                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR5                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR6                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR7                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR8                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR9                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR10                VARCHAR2(600) ,
    ATTRIBUTE_CHAR11                VARCHAR2(600) ,
    ATTRIBUTE_CHAR12                VARCHAR2(600) ,
    ATTRIBUTE_CHAR13                VARCHAR2(600) ,
    ATTRIBUTE_CHAR14                VARCHAR2(600) ,
    ATTRIBUTE_CHAR15                VARCHAR2(600) ,
    ATTRIBUTE_CHAR16                VARCHAR2(600) ,
    ATTRIBUTE_CHAR17                VARCHAR2(600) ,
    ATTRIBUTE_CHAR18                VARCHAR2(600) ,
    ATTRIBUTE_CHAR19                VARCHAR2(600) ,
    ATTRIBUTE_CHAR20                VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    ATTRIBUTE_NUMBER6               NUMBER        ,
    ATTRIBUTE_NUMBER7               NUMBER        ,
    ATTRIBUTE_NUMBER8               NUMBER        ,
    ATTRIBUTE_NUMBER9               NUMBER        ,
    ATTRIBUTE_NUMBER10              NUMBER        ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    ATTRIBUTE_TIMESTAMP1            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5            TIMESTAMP(6)  ,
    TRACKING_LINE_DOCS_ID           NUMBER(18, 0) ,
    TASK_ID                         NUMBER(18, 0) ,
    CHANGE_REQ_TRCK_LINE_DOCS_ID    NUMBER(18, 0) ,
    TRACKING_LINE_ID                NUMBER(18, 0)     NOT NULL,
    HEADER_ID                       NUMBER(18, 0)     NOT NULL,
    LINE_ID                         NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    DOCUMENT_TYPE                   VARCHAR2(120)     NOT NULL,
    DOCUMENT_NUMBER                 VARCHAR2(480) ,
    DOCUMENT_STATUS                 VARCHAR2(120) ,
    DOCUMENT_LINE_NUMBER            VARCHAR2(80)  ,
    DOCUMENT_LINE_QUANTITY          NUMBER        ,
    DOCUMENT_LINE_UOM               VARCHAR2(12)  ,
    EXTERNAL_REFERENCE_ID           VARCHAR2(480) ,
    TARGET_SERVICE_NAME             VARCHAR2(200) ,
    COMMENTS                        VARCHAR2(4000),
    DOCUMENT_HEADER_ID              VARCHAR2(480) ,
    DOCUMENT_LINE_ID                VARCHAR2(80)  ,
    STATUS_AS_OF_DATE               TIMESTAMP(6)  ,
    DOCUMENT_LINE_SECONDARY_QTY     NUMBER        ,
    DOCUMENT_LINE_SECONDARY_UOM     VARCHAR2(12)  ,
    DOCUMENT_NET_QUANTITY           NUMBER        ,
    DOCUMENT_NET_QUANTITY_UOM       VARCHAR2(12)  ,
    TASK_TYPE                       VARCHAR2(120)     NOT NULL,
    TASK_OPERATION                  VARCHAR2(120)     NOT NULL,
    ACTIVE_FLAG                     NUMBER(1, 0)      NOT NULL,
    PARENT_TRACKING_LINE_DOCS_ID    NUMBER(18, 0) ,
    SOURCE_SYSTEM_ID                NUMBER(18, 0) ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY              VARCHAR2(600) ,
    ATTRIBUTE_CHAR1                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR2                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR3                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR4                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR5                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR6                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR7                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR8                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR9                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR10                VARCHAR2(600) ,
    ATTRIBUTE_CHAR11                VARCHAR2(600) ,
    ATTRIBUTE_CHAR12                VARCHAR2(600) ,
    ATTRIBUTE_CHAR13                VARCHAR2(600) ,
    ATTRIBUTE_CHAR14                VARCHAR2(600) ,
    ATTRIBUTE_CHAR15                VARCHAR2(600) ,
    ATTRIBUTE_CHAR16                VARCHAR2(600) ,
    ATTRIBUTE_CHAR17                VARCHAR2(600) ,
    ATTRIBUTE_CHAR18                VARCHAR2(600) ,
    ATTRIBUTE_CHAR19                VARCHAR2(600) ,
    ATTRIBUTE_CHAR20                VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    ATTRIBUTE_NUMBER6               NUMBER        ,
    ATTRIBUTE_NUMBER7               NUMBER        ,
    ATTRIBUTE_NUMBER8               NUMBER        ,
    ATTRIBUTE_NUMBER9               NUMBER        ,
    ATTRIBUTE_NUMBER10              NUMBER        ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    ATTRIBUTE_TIMESTAMP1            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5            TIMESTAMP(6)  ,
    CONSTRAINT pk_dos_supply_tracking_line_docs PRIMARY KEY (TRACKING_LINE_DOCS_ID, TRACKING_LINE_DOCS_ID)
);
